Zevent (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.zevents.Zevent class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.zevents
Class Zevent

    java.lang.Object
      org.hyperic.hq.zevents.Zevent

Direct Known Subclasses:
  AgentScheduleSyncZevent, AgentUnscheduleZevent, AlertConditionsSatisfiedZEvent, HeartBeatZevent, MeasurementScheduleZevent, MeasurementZevent, MergePlatformAndServersZevent, MergeServiceReportZevent, ResourcesCleanupZevent, ResourceZevent, TransferAgentBundleZevent, TransferAgentPluginZevent, TriggersCreatedZevent, UpgradeAgentZevent, UserLoginZevent

    public abstract class Zevent

extends java.lang.Object

Represents an event which can interact with the Zevent subsystem.

Constructor Summary
`Zevent(ZeventSourceId sourceId, ZeventPayload payload)`

Method Summary
`ZeventPayload` | `getPayload()` Get the event payload
`long` | `getQueueEntryTime()` Get the time that the event entered the queue (in ms)
`long` | `getQueueExitTime()` Get the time that the event left the queue and went to be dispatched
`ZeventSourceId` | `getSourceId()` Get the ID of the source that generated the event.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Zevent

    public Zevent(ZeventSourceId sourceId,
                  ZeventPayload payload)

Method Detail

### getSourceId

    public ZeventSourceId getSourceId()

  Get the ID of the source that generated the event.

### getPayload

    public ZeventPayload getPayload()

  Get the event payload

### getQueueEntryTime

    public long getQueueEntryTime()

  Get the time that the event entered the queue (in ms)

### getQueueExitTime

    public long getQueueExitTime()

  Get the time that the event left the queue and went to be dispatched

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.